Welcome to PowerZip!

PowerZip 7.0 is a complete file compression solution for Windows. Whether you are new to compression or a power user with many years of experience, PowerZip offers you the convenience and features to make zipping and unzipping quicker and easier than ever before.

Common topics (for a complete list of topics, please use the Table of Contents on the left):

What's New in PowerZip 7.0
Getting Started with PowerZip
If you have used PowerZip before

Extracting ("unzipping") Files
Compressing ("zipping") Files
Performing tasks directly in Windows Explorer
Time Saving Tips
Creating Multi-Part Archives / Splitting Files
Protecting files with encryption
Automating Common Tasks with Macros
Customizing PowerZip

Why Purchase PowerZip?
Buying 2 or more copies
How to Purchase PowerZip

About Trident Software
Customer Support Page
PowerZip's Web Site
End-User License Agreement


Getting Started with PowerZip

Common Terms
The following terms are commonly used in connection with file compression. If you are not familiar with their meaning, please click on the links below to see a brief explanation:

  • Archive
  • Compression ("zipping")
  • Extraction ("unzipping")

Starting PowerZip
To start PowerZip:

  • Click on Start -> Programs -> PowerZip 7.0 -> PowerZip or
  • Double-click on an archive

Unzipping
To extract or "unzip" an archive, click on the Unzip button on PowerZip's toolbar. The Extraction Wizard will start. You will then be able to select which archive you would like to unzip, where you would like to place the extracted files and choose other options.

You can also unzip files directly in Windows Explorer / My Computer. Simply right-click on the archive you would like to extract and choose one of the Unzip items from the menu.

Zipping
To compress or "zip" file in PowerZip, click on the Zip button on PowerZip's toolbar. This will start PowerZip Compression Wizard which will guide you through steps involved in compressing files.

You can also zip files directly in Windows Explorer / My Computer. Simply select and right-click on the files or folders you would like to compress and choose one of the Zip items from the menu.

Opening Archives
Opening an archive allows you to:

  • Views it contents
  • Select individual files or folders to extract
  • View or edit the files in the archive
  • Delete files from the archive

To open an archive, click on the Open button on PowerZip's toolbar or double-click on an archive in Windows Explorer / My Computer.


What's New in PowerZip 7.0

What's New in v7.0

Zip File Splitting
PowerZip now fully supports split Zip files. Split Zip files allow you to create a set of several smaller Zip files instead of one large Zip file. This is useful when sending large attachments by e-mail or distributing large files over the Web. For more information about split Zip files, please see Creating Multi-Part Archives / Splitting.

Better Compression
PowerZip 7.0 offers two new compression levels, providing higher compression than is normally available in Zip files. Please note that files compressed with the new compression levels may not be unzipped by older versions of PowerZip and by other Zip programs.

Strong Encryption
Ability to password-protect files inside a Zip archive (encryption) has a long been a feature provided by PowerZip. Unfortunately, traditional Zip encryption is very weak as is evidenced by the multitude of Zip password recovery programs. Such programs allow password-protected files (encrypted with standard Zip encryption method) to be recovered without the knowledge of the password.

PowerZip 7.0, while still offering traditional Zip encryption for compatibility, also provides 128-bit and 256-bit AES (Advanced Encryption Standard) encryption. AES provides a high level of data security and allows you to password-protect files with confidence, knowing that it will be extremely difficult for anybody who doesn't know the password to recover the files. Please note that files protected with AES encryption may not be unzipped by older versions of PowerZip and by other Zip programs.

To make encrypting files quicker, PowerZip 7 now adds an "Encrypt" item directly to the Windows Explorer right-click menu. This allows you to encrypt files directly from Windows Explorer without having to specify any compression settings. Only the password is prompted for and the files are then compressed and encrypted using default settings.

Better support for Unix formats
With growing popularity of Linux, it becomes increasingly common for Windows users to exchange archives with Unix systems. To address this demand, PowerZip 7 offers enhanced support for archive formats popular under Unix. PowerZip can now extract BZip2 files (.bz2) and can also create .tar.bz2 files. PowerZip also offers the ability to open .tar.gz and .tar.bz2 files directly. Strictly speaking a .tar.gz file is .tar file inside a .gz archive and this is how previous versions of PowerZip displayed them. To view files inside a .tar.gz archive, one needed to first open the .tar.gz file, then open the .tar file inside it. PowerZip 7 now makes it possible to open .tar.gz (and tar.bz2) files and see their contents in one go. By default, when a .tar.gz or a .tar.bz2 file is opened, the contents of the .tar file are displayed directly. This feature can be turned off.

Miscellaneous features
PowerZip 7 also provides the following new features and enhancements:

  • Renaming files inside a Zip file - you can now rename files inside a Zip file after it's been created. This action is available via the right-click menu in PowerZip.
  • File name auto-completion - PowerZip now provides IntelliSense-style filename auto-completion in the Destination step of the Extraction Wizard and New Archive step of the Compression Wizard.
  • Windows XP Themed controls in Self-Extractor - PowerZip Self-Extractor now has Windows XP themed look when run under Windows XP. Standard look is displayed when the self-extractor is run under older versions of Windows.
  • Exclusion list in Compression Wizard - the Compression Wizard now allows you to specify a list of filters of files to be excluded. This is particularly useful for backup where you may wish to compress all files in a folder except for certain file types (e.g. temporary files).
  • Open Folder option in Extraction Wizard - the Extraction Wizard now has the option to open the destination folder (where unzipped file are placed) in Windows Explorer once unzipping is complete.
  • New way to unzip - PowerZip 7 offers a quick new way to unzip directly in Windows Explorer. Simply right-drag (i.e. drag using the right mouse button instead of the left mouse button) an archive over the destination folder, release the mouse button and choose Unzip from the menu that appears.
  • Easier Updates - PowerZip now has a Check for Updates items in the Help menu (under PowerZip on the Web) which allows you to quickly check whether a newer version of PowerZip is available.


If you have used PowerZip before

If you have used a previous version of PowerZip, this topic will help you get the most out of PowerZip 7. Please note that this is not a complete list of changes. For the list of improvements and changes in v7, please click here.

New way to unzip
PowerZip 7 offers a quick new way to unzip directly in Windows Explorer. Simply right-drag (i.e. drag using the right mouse button instead of the left mouse button) an archive over the destination folder, release the mouse button and choose Unzip from the menu that appears.

Better Compression
PowerZip 7.0 offers two new compression levels, providing higher compression than is normally available in Zip files. To take advantage of the new compression features, please select "Higher Compression (Deflate64)" or "Maximum Compression (BWT)" as the Compression Level in the Options step of the Compression Wizard.

IMPORTANT: Files compressed with the new compression levels may not be unzipped by older versions of PowerZip and by other Zip programs.

Strong Encryption
PowerZip 7 offers strong 128-bit and 256-bit AES encryption. This gives you a high level of data security when password-protecting files with PowerZip. To use the new encryption, select the "Protect files with a password" option in the Options step of the Compression Wizard and select AES encryption when entering the password.

IMPORTANT: Files encrypted with AES may not be unzipped by older versions of PowerZip and by other Zip programs.

PowerZip 7 also offers a quick way to encrypt - simply right-click on the file you wish to password-protect in Windows Explorer and choose Encrypt. You will only be prompted for the password, default compression settings will be used.

Open Folder option in Extraction Wizard
The Extraction Wizard can now (optionally) open the destination folder (where unzipped file are placed) in Windows Explorer once unzipping is complete. To use this feature, select "Open this folder in Windows Explorer after extraction" option in the Destination Folder step of the Extraction Wizard.

Renaming files inside a Zip file
PowerZip now allows you to rename files inside a Zip file after it's been created. To rename a file, right-click on it in PowerZip and choose Rename or simply click on a selected file or folder. Please note that this operation is only available for Zip files, it is not support for other archive types.


About Archives

What is an archive?
Archives are files that contain other files. The files in an archive are usually compressed. There are many different types of archives that have different formats and use different compression algorithms. Archives make it easy to group files hence allowing for faster and more convenient transfer. For example, if you wish to send several documents as an e-mail attachment, you can Zip them and send one archive instead. You will get the benefits of smaller size due to compression and also, easier handling of one attachment instead of several attachments. PowerZip can create seven different types of archives - Zip, Tar, Tar.Gz, Tar.Bz2, Arj, Cab and Ha.

What are archives used for?
Most files available on the Internet are distributed as archives. Two benefits of using archives for online file distribution are that only one download is required to obtain all related files, and that file transfer time is minimized because the files in an archive are compressed.

Another common use of archive is for backup. Compared to hard drives, media used for backup (such as CD-Rs, Zip disks, USB storage devices etc) are typically much smaller so using a compressed archive to save space becomes important.

Some files are important but not used often. To save disk space, these files can be compressed into an archive when they are not used and unzipped only when they are needed.

What is a Self-Extracting Archive?
A self-extracting archive is an executable program file (.EXE file) that includes both an archive and software to extract or "unzip" the contents of the archive. Users can extract the contents of a self-extracting archive by simply running it. This is convenient, because the end user does not need a compression program (like PowerZip) to extract files from these self-extracting archives. However, self-extracting archives have a disadvantage of being larger than the corresponding zip files because they include the extraction software.

PowerZip can create fully customizable self-extracting archives for Windows. For more information, please click here.

What are the different archive types (formats)?

  • Zip is the most common and a very versatile archive format. Unless you have a reason to use another type of archive, Zip is generally a good choice.
  • Arj is an older format which has become uncommon. PowerZip needs an external program (arj.exe) to work with Arj files
  • Rar is a relatively new archive format developed by Eugene Roshal. PowerZip can extract but cannot create Rar files.
  • Tar is a non-compressed archive format popular on UNIX systems. PowerZip can create & extract Tar archives.
  • Z, Gz and Bz2 are compressed single-file archive formats used mainly on UNIX systems. Because they can only store one file, they are typically used in conjunction with Tar files - several files are stored in an uncompressed Tar archive which is then compressed into a Z, Gz or Bz2 archive. PowerZip can create Tar.Gz and Tar.Bz2 files. The latter offers better compression but is slower to create and extract than Tar.Gz archives.
  • Cab is an archive format developed by Microsoft that is used in many setup programs. PowerZip can create & extract Cab files.
  • Ace is a relatively new archive format developed by Marcel Lemke. PowerZip can extract Ace files but cannot create them.
  • Ha is an archive format developed by Harri Hirvola. It offers good compression for text files. PowerZip needs an external program (ha.exe) to work with Ha files
  • Lzh is an older archive format which has become uncommon. PowerZip needs an external program (lha.exe) to work with Lzh files
  • Jar is an archive format used to store Java applications. Jar files are essentially just ordinary Zip files with a different extension (.jar instead of .zip).

All of the above formats are supported by PowerZip.


Time saving tips

Opening Archives

  • You can open an archive by double-clicking on it in Windows Explorer (My Computer)
  • You can also open an archive by dragging it from Windows Explorer and dropping it into the PowerZip window.

Extracting ("unzipping") Files

  • You can extract files by right-clicking on an archive in Windows Explorer (My Computer) and choosing "Unzip" from the menu.
  • You can quickly extract several archives at a time by selecting the archives in Windows Explorer (My Computer), right-clicking on one of them and choosing "Unzip" from the menu.
  • You can quickly extract an archive in Windows Explorer (My Computer) to a folder of your choice by right-dragging (dragging with the right mouse button instead of the left mouse button) the archive onto the folder where you wish to place the unzipped files. When you then release the right mouse button, you can select Unzip from the menu that will appear.
  • You can also extract files by opening an archive in PowerZip, selecting the files you wish to extract and dragging and dropping into a Windows Explorer (My Computer) window

Compressing Files

  • You can create a new archive by right-clicking on the files you wish to compress in Windows Explorer (My Computer) and choosing "Zip" from the menu.
  • You can also compress files by selecting the files you wish to compress in Windows Explorer (My Computer) and dragging and dropping them into a PowerZip window.


Opening Archives

Opening an archive allows you to see its contents - the files and folders contained in the archive. You can then:

  • Select individual files or folders to unzip
  • View or edit the files in the archive
  • Add files to the archive
  • Remove files from the archive

To open an archive:

  • Double-click on the archive in Windows Explorer / My Computer

or

  • Click on the Open button on PowerZip's toolbar

or if you have opened that archive before

  • Click on the arrow next to the Open button on PowerZip's toolbar and select the archive from the list of recently opened archives.

See Also: Extracting Files, Compressing Files


Extracting Files

When you extract a file, PowerZip decompresses it and places it in the folder of your choice. Similarly, when you extract a folder, PowerZip decompresses all the files and sub-folders contained in that folder. You can restore whole folders and retain the structure of any sub-folders.

PowerZip offers you several different ways to unzip. You can unzip from within the PowerZip application or directly from within Windows Explorer / My Computer. Different ways of unzipping may be more convenient or quicker in different situations.

To unzip a whole archive:

  1. Click on the Unzip button on PowerZip's toolbar or press Ctrl+E
  2. Choose "Select the archive to extract" in the second step of the Extraction Wizard
  3. Tick one or more archive you would like to extract in the following step of the Wizard

or

  1. Click on the arrow next to the Unzip button on PowerZip's toolbar and choose "Select archive(s) to extract"
  2. Tick one or more archive you would like to extract when prompted by the Wizard

or

  1. Locate the archive you wish to unzip in Windows Explorer / My Computer
  2. Right-click on the archive
  3. Choose one of the Unzip items

or

  1. Locate the archive you wish to unzip in Windows Explorer / My Computer
  2. Right-drag (drag holding the right mouse button instead of the left mouse button) the archive over the folder where you would like to place the extracted files
  3. Release the right mouse button
  4. Choose Unzip from the menu

To unzip individual files or folders in an archive:

  1. Open the archive by clicking on the Open button on PowerZip's toolbar
  2. Select the items you wish to extract
  3. Click on the Unzip button on PowerZip's toolbar

or

  1. Open the archive by clicking on the Open button on PowerZip's toolbar
  2. Open Windows Explorer / My Computer and locate the folder where you would like to place the extracted files
  3. Switch back to PowerZip and select the items you wish to extract
  4. Drag the items you selected and drop them into the Windows Explorer window
See Also: Opening Archives


Compressing Files

When you "zip" files, PowerZip compresses them and places them in a file called an archive. When compressing files, you can either add files to an existing archive or create a new archive.

PowerZip offers you several different ways to zip. You can zip from within the PowerZip application or directly from within Windows Explorer / My Computer. Different ways of zipping may be more convenient or quicker in different situations.

To add files to an existing archive:

  1. Open the archive in PowerZip by clicking on the Open button on PowerZip's toolbar
  2. Click on the Zip button on PowerZip's toolbar or click on the arrow next to the Zip button and choose "Add files to the current archive" or press Ctrl+P
  3. Follow the steps in the Compression Wizard

or

  1. Open the archive in PowerZip by clicking on the Open button on PowerZip's toolbar
  2. Open Windows Explorer (My Computer) and find the files you wish to compress
  3. Select the files, drag them and drop them into the PowerZip window
  4. Follow the steps in the Compression Wizard

To create a new archive:

  1. Click on the Zip button on PowerZip's toolbar or click on the arrow next to the Zip button and choose "Create a new archive" or press Ctrl+N
  2. When prompted, browse to the folder where you would like to place the archive
  3. Select the desired archive type (Zip archive is the recommended type)
  4. Type the archive name
  5. Press Next and follow the remaining steps in the Compression Wizard

or

  1. Open Windows Explorer (My Computer) and find the files you wish to compress
  2. Select the files, drag them and drop them into the PowerZip window
  3. Follow steps 2 to 5 above

or

  1. Open Windows Explorer (My Computer) and find the files you wish to compress
  2. Select the files and right-click on one of them
  3. Select one of the Zip items from the menu

NOTE: PowerZip only provides read-only support for Lzh, Z, Ace and Rar archive formats. You will not be able to create or modify the archive of these types. Also, you cannot modify Tar, Tar.Gz, Tar.Bz2 and Cab archives and multi-disk Zip archives once they have been created.

See Also: Opening Archives


Viewing Files

You can view any file in the archive by first extracting this file and then opening it through Windows Explorer (My Computer) or directly in your preferred viewer or editor. However, PowerZip can do all of this for you with its View/Edit feature. The View/Edit feature extracts the selected files into a temporary folder and then invokes the viewer or editor of your choice.

To use the View/Edit feature :

  1. Open an archive by using the Open button on PowerZip's toolbar
  2. Select one or more files that you wish to view or edit
  3. Press Enter
  4. PowerZip will extract the files and try to launch the viewer associated with each of the extracted files.
  5. If no program is associated with the type of file being viewed, PowerZip will try to open that file using the default viewer (which you can specify in the Settings dialog box).
  6. If no default view is specified, PowerZip will try to open the file using QuickView.
  7. If QuickView is not installed, PowerZip will open the file in Notepad.

or if you would like to choose the viewer:

  1. Open an archive by using the Open button on PowerZip's toolbar
  2. Select one or more files that you wish to view or edit
  3. Click on the View/Edit button on the toolbar
  4. The View dialog box will be shown
  5. You can then choose to either use the associated viewer, the default viewer or choose a viewer from the list of configured viewers

NOTE: You can use the Program Locations tab of the Settings Dialog box (File -> Settings) to configure viewers

Updating the archive:

If you change the files you viewed using the View/Edit feature, you can update the archive with the new files by selecting Update Archive from the Actions menu.

See Also: Opening Archives; Extracting Files


Integration with Windows

Integration with Windows Explorer

PowerZip allows you to perform many common tasks directly from Windows Explorer / My Computer. You can zip and unzip files, password-protect (encrypt) and even zip and e-mail files with one click without having to start PowerZip.

To extract archives through Windows Explorer:

  • Open a Windows Explorer / My Computer window
  • Select one or more archives you would like to unzip
  • Right-click on the archive(s)
  • Select one of the Unzip items from the menu

or

  • Locate the archive you wish to unzip in Windows Explorer / My Computer
  • Right-drag (drag holding the right mouse button instead of the left mouse button) the archive over the folder where you would like to place the extracted files
  • Release the right mouse button
  • Choose Unzip from the menu

To compress files through Windows Explorer:

  • Open a Windows Explorer / My Computer window
  • Select the items you wish to compress
  • Right-click on one of the items
  • Select one of the Zip items from the menu

To encrypt (password-protect) files through Windows Explorer:

  • Open a Windows Explorer / My Computer window
  • Right-click on file or folder you wish to password-protect
  • Choose Encrypt from menu

To change the integration options:

  • Start PowerZip
  • Click on File -> Settings
  • Click on the System tab


Automating Common Tasks with Macros

If you perform the same compression tasks on a regular basis, you can use PowerZip Macro Files to make such tasks a one-click operation.

PowerZip's Macro support let's you save all of the compression or extraction options to a file. Then you can simply double-click on the file to repeat the operation.

For example, suppose you perform a daily backup, compressing the contents of folders C:\My Documents, C:\Work and selected files from other folders. You can create a PowerZip Macro file containing the names of all items to be compressed as well as the desired compression options. You can then perform the backup by simply double-clicking on the Macro file.

Creating a PowerZip Macro file is just as easy as performing the same task normally though PowerZip.

To create a PowerZip Macro File:

  1. Click on the Macro button on PowerZip's toolbar
  2. Select whether you would like to zip or unzip files
  3. Enter the name of the Macro file you wish to create
  4. Click OK
  5. You will be presented with the normal Compression or Extraction Wizard
  6. Once you complete the Wizard, PowerZip will save all of the settings into the Macro file

To play a PowerZip Macro File:

  1. Double-click on the file in Windows Explorer / My Computer


Protecting files with encryption

PowerZip 7 offers several encryption options to allow you to password-protect your files from unauthorized access.

About Encryption
When the encryption option is selected (see below) you are prompted to enter a password. PowerZip generates an encryption key from this password. PowerZip then enciphers the files being compressed with the encryption key before storing them in the Zip file. Because the files are stored in the encrypted form, the original encryption key (and therefore the password) is needed to unzip them.

IMPORTANT: Please read the warnings at the end of this page before using encryption. The warnings contain important information and advice. Failure to follow it can lead to permanent data loss, security compromise and/or compatibility problems.

Using Encryption
To use encryption, follow the normal steps to create a Zip file or add files to an existing Zip file but select the "Protect files with a password" option in the Options step of the Compression Wizard. You will be prompted to select the type of encryption and to enter the password that will be used to encrypt the files.

You can also quickly encrypt files directly from Windows Explorer / My Computer. Simply right-click on the file you wish to encrypt and choose "Encrypt". You will only be prompted for the encryption type and password; default compression options will be used.

Compatibility Warning
PowerZip supports two encryption methods - standard Zip encryption and AES encryption. Standard Zip encryption is backward compatible with older versions of PowerZip and with most other Zip programs but does not offer good security. AES offers a high level of data security but you may not be able to unzip files encrypted with AES with older versions of PowerZip or with other Zip programs.

Important warnings about encryption

1. As is always the case with PowerZip, when zipping files with or without encryption, PowerZip stores the compressed / encrypted files in the Zip file of your choice but (by default) leaves the original file(s) intact. This means that if you encrypt a file, the encrypted file will be stored in the Zip archive you create but the original will be left as it was. Therefore, if you encrypt files to stop other people with access to your computer from being able to view them, you have to delete the originals after compression.

The Compression Wizard has an option to automatically delete the original files after compression (in the Options step) but to protect you from possible data loss, this option is always turned off by default. If you wish to use it, you have to explicitly select it each time you compress / encrypt files.

2. If you forget a password, it may not be possible to recover the encrypted files. Standard Zip encryption is considered weak so if you encrypt files with standard Zip encryption and forget the password, it may be possible to recover the files using a Zip password recovery tool (please note that such a tool is not included with PowerZip). If you use AES encryption and forget the password, it will generally not be possible to recover the encrypted files. Therefore, please choose a password that you will remember and/or write it down and store it in a secure place.

3. The security of your files (especially if AES is used) depends to a very large extent on the strength of the password you choose. Because of the large key length employed with AES, an ideal password should be quite long. In fact, a pass-phrase is desirable. To take full advantage of 256-bit AES, a very long pass-phrase (> 50 characters) is required. In practice, you probably won't need that level of security. Nevertheless, we recommend you follow the recommendations below when choosing your password:

  • Avoid using birthdays, telephone numbers and other easily-guessable passwords
  • Try to use mixed case, digits, and special characters (such as $, *, -, #, @ etc).
  • Avoid using English words (or words from another language). If you use words, embed digits or special characters in them e.g. dict2ionar$y
  • Avoid using non-ASCII characters such as umlauts or characters from alphabets other than English. While increasing security, using such characters may make it impossible to decrypt your files by Zip programs other than PowerZip or by PowerZip on different machines due to differences in encoding of such characters.
  • Do not use passwords shorter than 8 letters

4. Standard Zip encryption, while being backward compatible, is considered to be very weak. Do not use standard Zip encryption if you require any serious security.

5. Deleting a file (even if the Recycle Bin is emptied) usually doesn't physically delete the file data from disk. It may still be possible to recover the data using special tools.

6. As with all encryption (except One Time Pad variants), AES encryption in PowerZip is not "unbreakable". It is believed that if AES encryption is used, provided a strong password is chosen, it is computationally unfeasible (using techniques currently known) to recover the encrypted data without knowing the password. However, Trident Software Pty Ltd makes no guarantees as to the security of data encrypted with PowerZip. If you require a level of security that would need to withstand cryptanalysis by organizations with considerable resources (such as government agencies or large corporations), you should discuss your requirements with security experts.


Creating Multi-Part Archives / Splitting Files

You can use PowerZip to create a multi-part Cab or Zip archive on your hard drive (or other medium) without the need for multi-disk spanning.

This means you can create several smaller archives instead of a single large archive when needed. A common application is to overcome size limitations on e-mail attachments imposed by some Internet Service Providers. If your (or your e-mail recipient's) ISP only allows attachments that are no larger than a certain size and you need to send a file that, even when compressed, is larger than the limit, you can use PowerZip to create a set of Cab or Zip archives (with each part smaller than the attachment limit) instead of a single archive. Another application is to create very large archives than span multiple CDs.

To create a multi-part archive:

  1. Open PowerZip
  2. Click on the Zip button on PowerZip's toolbar or click on the arrow next to the Zip button and choose "Create a new archive"
  3. Select Cab or Zip as the archive type
  4. On the Options step of the Wizard, check "Create a multi-part (split) archive"
  5. Specify your desired part size

You can also compress and split large files directly from Windows Explorer / My Computer:

  1. Open Windows Explorer (My Computer) and find the file you wish to split/compress
  2. Right-click on the file and choose "Split (create multi-part Cab file)..."
  3. On the Options step of the Wizard, specify your desired part size

NOTE: Please note that while multi-part Cab files are standard, multi-part Zip files are not. They are a proprietary extension to the Zip format first introduced by WinZip. Older versions of PowerZip and other Zip programs may not be able to unzip split Zip files. We therefore recommend you use multi-part Cab files instead of Zip files where possible for maximum compatibility with other compression tools.


Self-Extracting Archives
A self-extracting archive is an executable program file (.EXE file) that includes both an archive and software to extract or "unzip" the contents of the archive. Users can extract the contents of a self-extracting archive by simply running it. This is convenient, because the end user does not need a compression program (like PowerZip) to extract files from these self-extracting archives. However, self-extracting archives have a disadvantage of being larger than the corresponding zip files because they include the extraction software (about 200Kb extra).

PowerZip offers numerous features allowing you to create completely customizable self-extractors. You can set the self-extractor to show a message of your choice at start-up. You can choose the icon and the buttons (OK, Yes/No or OK/Cancel) for the message box. You can set the default "Unzip to" folder, using variables if you need to. The self-extractor can also execute a command of your choice after extracting its contents. In addition, you can set the self-extractor to extract folders or overwrite files by default, make the "Unzip to" box read-only to prevent users from changing the destination folder or make the self-extractor start extracting its contents without showing its main dialog box at all.

To create a self-extracting archive, follow the procedure for compressing files by creating a new archive, specifying "Self-Extracting Zip File" as the archive type. You will be able to set the various self-extractor options by clicking on the "Self-Extractor Properties" button in the Options step of the Compression Wizard.

Alternatively, you can convert an existing Zip archive into a self-extracting archive. To do that, simply open the archive and then select the "Convert to EXE" item from the "Actions" menu. You will be asked for the file name of the self-extracting archive you wish to create. Type in the name and click OK. The Self-Extracting Archive Properties dialog box will be shown, allowing you to set the various self-extractor options.

See Also: Opening Archives; Compressing Files; Using SFX variables


Customizing PowerZip

You can customize PowerZip to suit your needs in a number of ways:

  • You can right-click on the toolbar and then select "Customize..." to change the appearance of the toolbar and the menu bar.
  • You can switch between different views using the Views button on the toolbar
  • You can change many other settings using the Settings dialog box, which can be invoked by selecting Settings from the File menu.


External Programs

PowerZip requires the following external programs to work with Arj, Ha and LZH archives:

ARJ files are manipulated by the ARJ 2.50 program from ARJ Software, P.O. Box 249, Norwood, Massachusetts 02062. You can also download it from http://www.akc.com/arj250a.exe. Please note that ARJ is shareware, not freeware. For more information, please see ARJ's license agreement.

LZH files are manipulated by LHA 2.55E program from Haruyasu Yoshizaki. LHA is freeware. You can download LHA from http://wcarchive.cdrom.com/pub/simtelnet/msdos/arcers/lha255e.exe

HA files are manipulated by HA.EXE program by Harri Hirvola. HA is public domain. You can download it from http://sources.codenet.ru/files/formtfil/h-m/ha0999c.zip

After downloading the programs, please install them, and specify the path in the Program Locations tab of the Settings dialog box (File -> Settings). You will then be able to use PowerZip to open, extract and create archives of the above types.


Deleting Files

To delete one or more files/folders from the archive:

  1. Open the archive by using the Open button on PowerZip's toolbar
  2. Select the item(s) you wish to delete.
  3. Press Del or select Delete Files from the action menu.

NOTE: When you delete a folder, all the files and sub-folders contained in that folder will also be deleted.

To delete an entire archive:

  1. Select the Delete Archive from the File menu.

See Also: Opening Archives


Additional Features

Drag and Drop

  • Drag file(s) from the PowerZip window and drop them onto Windows Explorer to extract these file(s)
  • Drag file(s) from Windows Explorer and drop them onto the PowerZip window to compress these file(s)
  • Drag an archive from Windows Explorer and drop it onto the PowerZip window to open that archive

Multi-Disk Spanning
PowerZip makes it easy to create Zip and Arj files that "span" multiple disks. This is useful if the files you are working with will not fit on one disk. To make a file that spans multiple disks, simply create an Arj or Zip file on a removable disk (e.g. a floppy disk) using the Compression Wizard and select the appropriate option under Multi-Disk Spanning in the "New archive" step of the Compression Wizard. You can open a multi-disk archive the same way as you would open a 'normal' archive

Install
You can use the 'Install' button on the toolbar or the corresponding menu item to install programs that are compressed into an archive. If you use this feature, PowerZip will extract all files in the archive to a temporary directory and run SETUP.EXE. When SETUP.EXE completes, return to PowerZip and click OK. PowerZip will then attempt to delete the temporary files. Please note that this feature is only enabled if the archive contains a file named SETUP.EXE

Rename
You can rename files inside an archive (Zip archives only). To rename a file or a folder, right-click on it and choose Rename or simply select it and then click on it again. Please note that you can change not only the name but the full path of the file / folder.

Sort Items
PowerZip can sort items in the archive by name, size, compressed size, compression ratio, date, time and type. To sort items, click on the corresponding column header as you would in Windows Explorer.

Test Archive
Use the Test Archive menu item in the Actions menu to test the integrity of the open archive. A dialog box with displayed with the results of the test operation. Please note that this operation is only supported for some but not all archive types.

Views
PowerZip supports a number of views, making it easier to browse through the files and folders in an archive. In addition to the standard Windows Explorer views (i.e. Details, List, Small Icons and Large Icons), PowerZip also has the option of not showing folders. If Show Folders option is not selected, PowerZip will show all files in the archive as a single "flat" list. For example a file might be shown as "Folder1\Folder2\File.txt". To change the current view, click on the Views button on PowerZip's toolbar.


Why Purchase PowerZip?

The price of one copy of PowerZip is $24* (US). This includes free technical support via e-mail and unlimited free upgrades. Plus, for your complete peace of mind, you get a 45-day money-back satisfaction guarantee - if after purchasing PowerZip you are not happy with it for any reason, simply contact us and we will promptly refund your payment in full.

PowerZip is one the best compression utilities on the market. PowerZip has been rated 5 stars or chosen as Editor's Pick by many leading software web sites (please see Awards Page for an up-to-date list). Yet, PowerZip is very affordable with one copy of PowerZip 7 costing only $24 (US)*. And if you wish to purchase more than one copy of PowerZip, you can take advantage of our large discounts for volume purchases.

At Trident Software, we believe that there is always room for improvement. That's why we continued to innovate, listening to your requests and suggestions and constantly improving PowerZip to bring you a modern, full-featured yet easy to use compression tool. The first version of PowerZip - PowerZip 1.0 came out in mid-1997. Since then, we have released PowerZip 2.0, 3.0, 3.5x, 3.6, 4.0x, 4.5x, 5.01, 5.2, 6.0, 6.5 and now PowerZip 7. PowerZip is used by a wide range of customers in more than 100 countries on 6 continents, from home users to large organizations.

When you purchase PowerZip, you will be eligible to receive future upgrades free of charge. And you will also receive free life-time technical support via e-mail.

If you have any questions about PowerZip, please don't hesitate to contact us by visiting the Support Page

See also: How to purchase PowerZip

* Price for online delivery; excludes residents of Australia and the European Union. Australian & EU residents - please see the order form for pricing.


Buying more than one copy

If you require more than one copy of PowerZip, the per-copy price will be significantly lower (as low 10% of the normal per-license price). Below is the price list for PowerZip 7.0 in US Dollars*.

Quantity | Price ($US)*
2-9 copies | $19 US each
10-24 copies | $15 US each
25-49 copies | $12 US each
50-99 copies | $9 US each
100-199 copies | $6 US each
200-499 copies | $5 US each
500-999 copies | $3 US each
1000+ copies | E-mail Us

See Also: Why purchase PowerZip?; How to purchase PowerZip

* Prices for online delivery; excludes residents of Australia and the European Union. Australian & EU residents - please see the order form for pricing.


How to purchase PowerZip

Thank you for deciding to purchase PowerZip. The price of one copy of PowerZip is $24* (US). This includes free technical support via e-mail and unlimited free upgrades. Plus, for your complete peace of mind, you get a 45-day money-back satisfaction guarantee - if after purchasing PowerZip you are not happy with it for any reason, simply contact us and we will promptly refund your payment in full.

Ordering PowerZip is quick and easy. You can pay online, by fax or mail using a credit card, check or money order. To purchase PowerZip, please visit the online order form (as well as online orders, you can also use the online order form for mail and fax order as well).

Why purchase PowerZip?
Buying more than one copy

* Price for online delivery; excludes residents of Australia and the European Union. Australian & EU residents - please see the order form for pricing.


About Trident Software

Based in Melbourne, Australia, Trident Software commenced trading in 1998. Later incorporated as Trident Software Pty. Ltd. (ACN 092 435 231), it has continued to improve PowerZip providing its customers with a highly competitive compression product.

For customer support, please visit the Support Page.

For more information, please visit us on the web at www.tridentsw.com.

Our "offline" contact details are:

Postal Address:
PO Box 12148, A'Beckett St. PO
Melbourne, Victoria 8006
Australia

Fax: +61 [0] 500 51 4444
NOTE: Dial the "0" only when calling from Australia


Acknowledgments

PowerZip's Zip file support uses a (modified version of) ZipArchive Library by Artpol Software.

PowerZip uses encryption components licensed from Dr. Brian Gladman These are copyright (C) 2002, Dr. Brian Gladman.

PowerZip's Rar file support is implemented using unrar.dll by RarSoft.

PowerZip's Ace file support is implemented using unace.dll by e-merge GmbH

PowerZip uses Zlib compression library. The original Zlib sources are freely available from www.gzip.org/zlib/

Trident Software Pty Ltd would like to thank the companies and individuals above for making their components / libraries available for use in PowerZip.


License Agreement

PowerZip 7.0 End-User License Agreement

WARNING:
You should carefully read the following terms and conditions before using the PowerZip Software ("PowerZip"). Permission to use PowerZip is conditional upon you agreeing to the terms and conditions set out below. Your use of PowerZip will be deemed to be your acceptance of the terms of this License.

LICENSE:
The Copyright in PowerZip and its documentation is owned by Trident Software Pty Ltd (ACN 092 435 231). Subject to the terms of this License you are granted a non-exclusive right to use PowerZip as follows:

1. During the 45-day Evaluation Period, you are licensed to use PowerZip for evaluation purposes without charge for a period of 45 days. If you use PowerZip after the 45-day evaluation period, you are required to register PowerZip. Unregistered use of PowerZip after the 45-day evaluation period is a violation of Australian and International copyright laws; or

2. As a Registered User. Each registered copy of PowerZip may either be used by a single person who uses PowerZip personally on one or more computers, or installed on a single workstation used non-simultaneously by multiple people, but not both. You may access the registered version of PowerZip via a network, provided that you have obtained individual licenses for PowerZip covering all workstations that will access PowerZip through the network. For example, if 10 different workstations will access PowerZip on the network, each workstation must have its own PowerZip license, regardless of whether they use PowerZip at different times or concurrently.

REGISTRATION: Each Registered User will be supplied with a Product Key upon payment of the License Fee. The Product Key will enable and license the use of PowerZip on a specified number of workstations. The Registered User must keep their Product Key secure and confidential. A Product Key that has not been obtained directly from Trident Software Pty Ltd or its official distributors must not be used to access PowerZip.

A Product Key may be purchased by visiting https://www.tridentsw.com/powerzip/sec/buy.aspx or contacting Trident Software Pty Ltd via mail at the following address:

PO Box 12148, Melbourne, Victoria, Australia 8006

DISTRIBUTION:
PowerZip may be distributed freely on online services, bulletin boards, or other electronic media as long as the files are distributed in their entirety and no fee is charged. However, use remains conditional upon you agreeing to the terms and conditions of the License. PowerZip may not be distributed on CD-ROM, disk, or other physical media for a fee without the written permission of Trident Software Pty Ltd.

YOUR OBLIGATIONS:
You must not adapt, vary, modify, decompile, disassemble, reverse-engineer create derivative works of, sub-license, rent or lease PowerZip any way, including, but not limited to changing or removing this End User License Agreement and any copyright notices, messages or windows.

SUPPORT:
Trident Software Pty Ltd may from time to time make available support services and other assistance in relation to PowerZip. Should you wish to use such services then you agree to pay the then published rates of Trident Software Pty Ltd in relation to such services which are supplied pursuant to the terms and conditions set out in this agreement. Any period of support notified in the published rates shall be automatically renewed unless either a party advises the other party in writing or by email that it does not intend to continue with such support prior to the expiration of the term. Trident Software Pty Ltd reserves the right to suspend the provision of services unless its accounts are promptly paid. As of 2004-01-28, free technical support via e-mail is offered. However, Trident Software Pty Ltd reserves the right to cease offering this service to all users or a particular user/group of users at any time.

UPGRADES:
Other than that set out under Support and Limited Warranty, nothing in this agreement imposes an obligation on Trident Software Pty Ltd to rectify any software or documentation errors in PowerZip or to provide you with any corrections, modifications, enhancements or other form of upgrades in relation to PowerZip.

LIMITED WARRANTY:
Trident Software Pty Ltd warrants that PowerZip will perform substantially in accordance with its published documentation. Trident Software Pty Ltd shall refund the purchase price or replace PowerZip subject to notification of the defect within thirty (30) days of the date of registration and this shall be your sole remedy for any such defect. PowerZip and any documentation are provided "AS IS" and all warranties whether express, implied, statutory or otherwise, relating in any way to the subject matter of this agreement or to this agreement generally, including without limitation, warranties as to: quality; fitness; merchantability; correctness; accuracy; reliability; correspondence with any description or sample, meeting your or any other requirements; uninterrupted use; compliance with any relevant legislation and being error or virus free are excluded. Where any legislation implies in this agreement any term, and that legislation avoids or prohibits provisions in a contract excluding or modifying such a term, such term shall be deemed to be included in this agreement. However, the liability of Trident Software Pty Ltd for any breach of such term shall if permitted by that legislation be limited, at Trident Software Pty Ltd’s option, to any one or more of the following: if the breach related to goods: the replacement of the goods or the supply of equivalent goods; the repair of such goods; the payment of the cost of replacing the goods or of acquiring equivalent goods; or the payment of the cost of having the goods repaired; and if the breach relates to services: the supplying of the services again; or the payment of the cost of having the services supplied again.

LIMITATION OF LIABILITY: TO THE EXTENT PERMITTED BY LAW, TRIDENT SOFTWARE PTY LTD SHALL NOT BE UNDER ANY LIABILITY (CONTRACTUAL, TORTIOUS OR OTHERWISE) TO YOU (OTHER THAN THE LIMITED WARRANTY) IN RESPECT OF ANY LOSS OR DAMAGE (INCLUDING, WITHOUT LIMITATION, CONSEQUENTIAL LOSS OR DAMAGE BUT EXCLUDING PERSONAL INJURY) HOWSOEVER CAUSED, WHICH MAY BE SUFFERED OR INCURRED OR WHICH MAY ARISE DIRECTLY OR INDIRECTLY IN RESPECT TO THE SUPPLY OF GOODS OR SERVICES PURSUANT TO THIS LICENSE OR THE ACT, FAILURE OR OMISSION OF TRIDENT SOFTWARE PTY LTD.

DURATION:
The license commences upon use of PowerZip and is granted in perpetuity, but may be terminated without notice in the following circumstances: if you breach any term of this agreement; if your license fee payment is reversed, voided, charged back or refunded; if you become the subject of insolvency proceedings; if you, being firm or partnership, are dissolved; or if you destroy PowerZip and documentation for any reason. Upon termination, you or your representative shall destroy any remaining copies of PowerZip and documentation or otherwise return or dispose of such material in the manner directed by Trident Software Pty Ltd. Termination pursuant to this clause shall not affect any rights or remedies, which Trident Software Pty Ltd may have otherwise under this license or at law.

ASSIGNMENT:
You may only transfer all your rights and obligations under this license to another party if you supply to the transferee a copy of this agreement, the license information and all other documentation including proof of ownership and the original supply diskettes or media unaltered in any way. Your license is then terminated. If PowerZip is licensed in multiples of two or more (for example a pack) it may only be transferred in its entirety. Individual licenses to such components cannot be transferred.

EXPORT RESTRICTIONS:
PowerZip is subject to export restrictions of the United States and Australia. If you are:

(1) in a country to which export from the United States or Australia is restricted or a national of such country (regardless of where you are located), or

(2) in a country to which the United States or Australia has embargoed or restricted the export of goods or services, or a national of such country (regardless of where you are located), or

(3) a person or entity who has been prohibited from participating in export transactions from US or Australia by any relevant government agency

then you must not install, download, access or use PowerZip. By accepting this agreement, you warrant and represent to Trident Software Pty. Ltd. that you do not match the criteria set forth in either (1), (2) or (3) above and that you will not export or re-export PowerZip to any country, person or entity that matches the criteria set forth in either (1), (2) or (3).

WAIVER:
Failure or neglect by Trident Software Pty Ltd to enforce at any time any of the provisions of this agreement shall not be construed or deemed to be a waiver of Trident Software Pty Ltd’s rights under this license.

SEVERABILITY:
If any provision of this agreement is held invalid, unenforceable or illegal for any reason, this agreement shall remain otherwise in full force apart from such provision or part provision, which shall be deemed, deleted.

ENTIRE AGREEMENT:
This agreement constitutes the entire agreement between the parties for the subject matter referred to in this agreement. Any prior arrangements, agreements, representations or undertakings are superseded. No modification or alteration of any clause of this agreement will be valid except in writing signed by each party.

GOVERNING LAW:
This agreement will be governed by and construed according to the law of the State of Victoria, Australia. The parties irrevocably submit to the exclusive jurisdiction of the Courts of Victoria, Australia.

Copyright (C) 1997-2004 Trident Software Pty Ltd. All rights Reserved.


Using SFX Variables

PowerZip Self-Extractor gives you a great deal of flexibility in specifying the default "Unzip to" folder with variables. Suppose you want the self-extracting archive to extract files into the user's desktop folder by default. You could type C:\Windows\Desktop. This will work on Windows 9x systems. However, this will not work on other systems such as Windows NT, 2000 and XP (under Windows NT, for instance, the desktop folder is usually C:\Winnt\Profiles\Username\Desktop).

With PowerZip Self-Extractor, you can just type %d and the self-extractor will automatically determine the path to user's desktop folder and replace %d with that path when it is run on the end-user's machine. You can also specify subfolders with variables. For example, type %d\Folder1 if you want the self-extractor to extract files to a folder named Folder1 located in the user's desktop folder by default. There are five different variables you can use:

Variable | Description | Most common value
%d | Desktop folder | C:\Documents and Settings\Username\Desktop
%p | Program Files folder | C:\Program Files
%t | Temporary folder | C:\Documents and Settings\Username\Local Settings\Temp
%w | Windows folder | C:\Windows
%s | Windows System folder | C:\Windows\System32

NOTE: A variable will be ignored if it's not placed at the beginning the path e.g. C:\%t\Folder1 will remain C:\%t\Folder1

See Also: Self-Extracting Archives